Subject: [bug#35593] [PATCH] uuid: Pad resulting FAT uuid string with leading zeroes.

From: Danny Milosavljevic <[email-masked]>
Date: Thu, 9 May 2019 14:46:04 +0200

Hi Ludo,

On Thu, 09 May 2019 12:10:55 +0200
Ludovic Courtès <[email-masked]> wrote:

> > Fixes <https://bugs.gnu.org/35582>.
> > Reported by sirgazil <[email-masked]>.
> >
> > * gnu/system/uuid.scm (fat-uuid->string): Pad resulting string with leading
> > zeroes.  
> 
> Bah, I feel guilty: I pushed the same patch with a test as
> 6c5790a2faf8ffc401e43b13425a707394e40874, and only now do I notice that
> you had fixed it too.  My apologies!

Don't worry.  It's good that someone fixes it, doesn't matter whether it's you
or me :)

> Perhaps in the future you should send the patch directly in the bug
> report?  That would increase the likelihood that I’ll notice and won’t
> duplicate work.

Sure!